#pragma once


//--------------------------------CONFIGURE LCD------------------------------------------------------//
//Purpose: work with a LCD display
//#define LCD_PORT         PORTD    // port for the LCD lines   
#define LCD_DATA0_PORT   PORTD     	// port for 4bit data bit 0 		//D5 poz:3 connector...[digits 0,1,...]
#define LCD_DATA1_PORT   PORTD     	// port for 4bit data bit 1 		//D6
#define LCD_DATA2_PORT   PORTD     	// port for 4bit data bit 2 		//D7
#define LCD_DATA3_PORT   PORTB     	// port for 4bit data bit 3 		//B0
#define LCD_DATA0_PIN    5          // pin for 4bit data bit 0  		
#define LCD_DATA1_PIN    6          // pin for 4bit data bit 1  
#define LCD_DATA2_PIN    7          // pin for 4bit data bit 2  
#define LCD_DATA3_PIN    0          // pin for 4bit data bit 3  
#define LCD_RS_PORT      PORTD     	// port for RS line         		//D3 poz:1 connector
#define LCD_RS_PIN       3          // pin  for RS line         
#define LCD_E_PORT       PORTD     	// port for Enable line     		//D4 poz:2 connector
#define LCD_E_PIN        4          // pin  for Enable line     
//#define LCD_RW_PORT      LCD_PORT // port for RW line UNUSED - we only WRITE
//#define LCD_RW_PIN       5        // pin  for RW line UNUSED - we only WRITE
#define LCD_LINES		 2			// number of visible lines of the display
#define LCD_DISP_LENGTH  16     	// visibles characters per line of the display 
//---------------------------------------------------------------------------------------------------//

//--------------------------------CONFIGURE LED------------------------------------------------------//
//Purpose: set HIGH/LOW a digital output pin
#define LED_DDR DDRB
#define LED_PORT PORTB
#define LED_PIN PINB
#define LED_DQ 0	//PB0 			//--define pin where LED sensor is connected
//---------------------------------------------------------------------------------------------------//

//--------------------------------CONFIGURE PASSIVE INFRARED SENSOR----------------------------------//
//Purpose: read a digital pin with a PIR sensor
#define PIR_DDR DDRC
#define PIR_PORT PORTC
#define PIR_PIN PINC
#define PIR_DQ 3	//PC4			//--define pin where PIR sensor is connected
//---------------------------------------------------------------------------------------------------//

//--------------------------------CONFIGURE DIGITAL THERMOMETER--------------------------------------//
//Purpose: read a digital therm
#define THERM_PORT PORTC
#define THERM_DDR DDRC
#define THERM_PIN PINC
#define THERM_DQ PC2	//PC2
//---------------------------------------------------------------------------------------------------//

//--------------------------------CONFIGURE POTENTIOMETER--------------------------------------------//
//Purpose: read an analog pin with a potentiometer for values 22-255
#define POT_DDR DDRC
#define POT_PORT PORTC
#define POT_PIN PINC
#define POT_DQ 5	//PC5	
//---------------------------------------------------------------------------------------------------//

//--------------------------------CONFIGURE PUSHBUTTONS----------------------------------------------//
//Purpose: read two digital pins with pushbuttons connected for values 0:not pushed , 1:pushed
#define PUSHBUTTON_DDR1 DDRB
#define PUSHBUTTON_PORT1 PORTB
#define PUSHBUTTON_PIN1 PINB
#define PUSHBUTTON_DQ1 1	//PB1
#define PUSHBUTTON_DDR2 DDRB
#define PUSHBUTTON_PORT2 PORTB
#define PUSHBUTTON_PIN2 PINB
#define PUSHBUTTON_DQ2 2	//PB2
//---------------------------------------------------------------------------------------------------//
